<template>
<div>
  <img id="bell" src="../assets/icons/bell.svg" @click="getActivityTable; dialogVisible=true" alt="">

  <el-dialog v-model="dialogVisible" title="活动提醒" width="30%" draggable>
    <NotificationList />
    <template #footer>
      <span class="dialog-footer">
        <el-button @click="message()">查看详情</el-button>
        <el-button type="primary" @click="dialogVisible = false">确认通知</el-button>
      </span>
    </template>
  </el-dialog>
  </div>
</template>

<script lang="ts">
import axios from 'axios'
import NotificationList from './NotificationList.vue'
import type { FormInstance, FormRules } from 'element-plus'
import { reactive, ref } from 'vue'
import global from "./Common.vue"
const ruleFormRef = ref<FormInstance>()
const ruleForm = reactive({
  num: "",
  code: "",
  msg: "",
  notices: []
});



const getNotificationNumber = async(formEl: FormInstance | undefined) => {
  let token = localStorage.getItem("token");
axios({
    method: "POST",
    url: "http://" + global.ip + "/api/notice/newnum",
    data: {
      num: ruleForm.num,
      msg: ruleForm.msg,
      code: ruleForm.code,
      
    },
    headers: { Authorization: `Bearer: ${token}` },
  }).then((res) => {
    console.log(res);
  });
}



const getActivityTable = async (formEl: FormInstance | undefined) => {
  console.log("获取活动进行");
  let token = localStorage.getItem("token");
  
  axios({
    method: "POST",
    url: "http://"+  global.ip + ":8080/api/notice/newall",
    data: {
      tableData: ruleForm.notices,
    },
    headers: { Authorization: `Bearer: ${token}` },
  }).then((res) => {
    // console.log(res);
    tableData = res.data.notices;
    console.log(tableData);
  });
}



let tableData = [
  {
    "checked": false,
    "content": null,
    "id": 3,
    "notice_time": "Sun, 01 May 2022 18:00:00 GMT",
    "notice_type": 3,
    "user_id": 2
  }
]

let num = 0


export default {
  name: "notificationList",
  data() {
    return {
      dialogVisible: false
    }
  },
  components: {
    NotificationList
  },
  methods:{
    message(){
      window.location.replace("http://" + global.ip_front + "/leave_message");
      
    }
  },

}

</script>





<style>
#bell {
  height: 40px;
  position: relative;
  top: 13px;
}
</style>